/****************************************************************************************
 * 项目用途： 演示PWM5外设的用法
 * 文件名: main.c
 * 项目名: KF8A100FTN_PWM5
 * 版 本: v1.0
 * 日 期: 2019年08月21日 09时13分09秒
 * 作 者: charles_cai
 * 功能： 把PWM5的通道1配置为全桥模式，在P12、P13、P14、P15输出全桥波形，每隔100ms将其在正向输出和反向输出模式之间循环切换。
 * 	          通道2配置为半桥模式，P16、P17脚上输出互补的PWM，死区时间设置为8us
 * 	          通道3配置为单输出，P55和P56上输出相同的波形，	 -KF8A100FQS才有通道3的输出
 * 	          使能PWM5的自动关断和自动重启功能，如果INT0（重映射为P33脚）脚检测到高电平则停止PWM5输出。
 * 	          如果将P33脚拉低则PWM5恢复输出PWM波形。
 * 	   T2的中断打开，驱动LED3以50%占空比点亮。
 * 注意： 例程中取消熔丝位对PWM输出脚的控制，强制PWM引脚输出功能并未使用。用户可以根据自己的需求配置对应的功能。
 * 	   PWM5没有专门的中断，如果确实需要中断，可以将T2的后分频器配置为1:1，此时T2中断等效于PWM5中断。
 ****************************************************************************************/
#include"main.h"
//主函数
void main()
{
	Init_osc();
	Init_GPIO();
	Init_PWM5();
	Init_T2();
	Init_intrup();

	while(1)
	{
		PWM5CTL0 =0xDC;
		/*PWM5通道1配置为全桥反向输出，P5B输出PWM，P5C输出有效电平，PWM5通道2是半桥输出模式，PWM3是单输出模式
		 * PWM5配置为PWM模式，通道1皆为高电平以有效
		 */
		Delay_ms_loop(100);
		PWM5CTL0 =0x5C;
		/*PWM5通道1配置为全桥正向输出，P5D输出PWM，P5A输出有效电平，PWM5通道2是半桥输出模式，PWM3是单输出模式
		 * PWM5配置为PWM模式，通道1皆为高电平以有效
		 */
		Delay_ms_loop(100);
	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{
	if(T2IF)
	{
		T2IF=0;

		LED3 =!P30;
	}
}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
